Mail archive
alpine-devel

[alpine-devel] [PATCH 03/25] testing/mate-icon-theme: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:09 +0000

---
 testing/mate-icon-theme/APKBUILD | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)
diff --git a/testing/mate-icon-theme/APKBUILD b/testing/mate-icon-theme/APKBUILD
index 498f8ea..4979c33 100644
--- a/testing/mate-icon-theme/APKBUILD
+++ b/testing/mate-icon-theme/APKBUILD
_at_@ -2,14 +2,14 @@
 # Maintainer:
 pkgname=mate-icon-theme
 pkgver=1.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE desktop icons"
-url="http://mate-desktop.org/"
+url="https://github.com/mate-desktop/mate-icon-theme"
 arch="noarch"
 license="GPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="icon-naming-utils gawk autoconf automake intltool gettext-dev"
+makedepends="icon-naming-utils gawk intltool"
 install=""
 subpackages=""
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -27,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:09 GMT